Core - Bug # 39112

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Must have
Author: Christian Kuhn Category:

Created: 2012-07-20 Assigned To:

Updated: 2012-07-24 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: medium

Is Regression:
Sprint Focus:

Subject: Fix 1-2-3(-4) wizards

Description

Probably broken due to #38562, 6.0 blocker

Related issues:
related to Core - Feature # 38562: Refactor localconf.php handling Resolved 2012-07-02
related to Core - Bug # 39237: Re-read extListArray in em at runtime Resolved 2012-07-25

Associated revisions

Revision be626a02 - 2012-07-24 22:47 - Helmut Hummel

[BUGFIX] Fix 1-2-3(-4) wizard

Due to the localconf.php refactoring the
install wizard is broken. This change fixes it.

Change-Id: I1e266a76c5cdbee140df47fd61a09a14c72be9b6
Releases: 6.0

Resolves: #39112

Reviewed-on: http://review.typo3.org/13028

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision 3b307bf7 - 2012-07-25 20:26 - Christian Kuhn

[BUGFIX] Re-read extListArray in em at runtime

The introduction package loads multiple extensions in one go through the
em API enableExtension(). The refreshGlobalExtList() method should reset
the extListArray to new values written to LocalConfiguration to

recognize if many extensions are loaded in one request.

Change-Id: leb4481e3d04a4407ba31f3c64f71c5fb5b03e344
Resolves: #39237

Related: #39112

Releases: 6.0
Reviewed-on: http:/review.typo3.org/13038

Reviewed-by: Wouter Wolters
Reviewed-by: Georg Ringer
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision a4280988 - 2012-07-28 16:00 - Christian Kuhn

[BUGFIX] Re-read extListArray in em at runtime

The introduction package loads multiple extensions in one go through the
em API enableExtension(). The refreshGlobalExtList() method should reset
the extListArray to new values written to LocalConfiguration to

recognize if many extensions are loaded in one request.

Change-Id: leb4481e3d04a4407ba31f3c64f71c5fb5b03e344
Resolves: #39237

Related: #39112

Releases: 6.0

Reviewed-on: http://review.typo3.org/13038

Reviewed-by: Wouter Wolters
Reviewed-by: Georg Ringer
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision a8f600fc - 2012-07-28 16:00 - Helmut Hummel

[BUGFIX] Fix 1-2-3(-4) wizard

Due to the localconf.php refactoring the
install wizard is broken. This change fixes it.

Change-Id: [1e266a76c5cdbee140df47fd61a09a14c72be9b6
Releases: 6.0

Resolves: #39112

Reviewed-on: http://review.typo3.org/13028

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-07-20 09:48 - Christian Kuhn
- Parent task set to #38086

#2 - 2012-07-24 20:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13028

#3 - 2012-07-24 21:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13028

#4 - 2012-07-24 21:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13028

#5 - 2012-07-24 21:57 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13028

#6 - 2012-07-24 22:26 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13028

#7 - 2012-07-24 22:38 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13028

#8 - 2012-07-24 23:30 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:be626a027ad3ec8b13a1587345354976b1af1d38.
